%define name	horgand
%define version	1.07
%define release 1mdk

Name: 	 	%{name}
Summary: 	FM organ synthesizer
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://horgand.berlios.de
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libalsa-devel jackit-devel fltk-devel libsndfile-devel

%description
Horgand is a jack capable organ client with presets and some effects
incorporated. Horgand generates the sound in real time like a FM synthesizer.
You can change the frecuency of all the drawars and add some special effects.

%prep
%setup -q

%build
%configure
perl -p -i -e "s|-O6|$RPM_OPT_FLAGS||g" Makefile
%make
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_mandir/man1
cp man/%name.1 $RPM_BUILD_ROOT/%_mandir/man1
bzip2 $RPM_BUILD_ROOT/%_mandir/man1/%name.1
mkdir -p $RPM_BUILD_ROOT/%_bindir
%makeinstall_std PREFIX=%_prefix
rm -fr $RPM_BUILD_ROOT/%_docdir/%name

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="sound_section.png" needs="x11" title="Horgand" longtitle="FM Organ Synthesizer" section="Multimedia/Sound"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README COPYING
%{_bindir}/%name
%{_datadir}/%name
%{_mandir}/man1/*
%{_menudir}/%name

%changelog
* Sat Mar 25 2005 Austin Acton <austin@mandrake.org> 1.07-1mdk
- from Emmanuel Andry <eandry@free.fr> :
  - 1.07

* Sun Jun 6 2004 Austin Acton <austin@mandrake.org> 1.06-2mdk
- rebuild

* Fri Feb 13 2004 Austin Acton <austin@mandrake.org> 1.06-1mdk
- 1.06

* Tue Jan 27 2004 Austin Acton <austin@mandrake.org> 1.05-2mdk
- new URL

* Mon Jan 19 2004 Austin Acton <austin@mandrake.org> 1.05-1mdk
- 1.05
- fix buildrequires for lib64
- buildrequires sndfile

* Sat Dec 27 2003 Austin Acton <austin@linx.ca> 1.04-1mdk
- 1.04

* Mon Jul 7 2003 Austin Acton <aacton@yorku.ca> 1.02-1mdk
- 1.02

* Mon Jun 23 2003 Austin Acton <aacton@yorku.ca> 1.01-1mdk
- 1.01
- use configure
- use makeinstall

* Thu Jun 19 2003 Austin Acton <aacton@yorku.ca> 1.0-1mdk
- 1.0

* Fri Jun 13 2003 Austin Acton <aacton@yorku.ca> 0.92-1mdk
- 0.92
- decapitalize name
- don't use compile.sh
- add manpage

* Wed Jun 4 2003 Austin Acton <aacton@yorku.ca> 0.91-1mdk
- initial package
